package com.flashvisions.mobile.android.extensions.net;

import java.util.HashMap;
import java.util.Map;


import android.net.ConnectivityManager;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;
import com.flashvisions.mobile.android.extensions.net.functions.GetCoarseNetworkState;
import com.flashvisions.mobile.android.extensions.net.functions.GetDetailedNetworkState;
import com.flashvisions.mobile.android.extensions.net.functions.GetNetworkFailReason;
import com.flashvisions.mobile.android.extensions.net.functions.InitNetworkInfoExtension;
import com.flashvisions.mobile.android.extensions.net.functions.IsNetworkAvailable;
import com.flashvisions.mobile.android.extensions.net.functions.IsNetworkConnected;
import com.flashvisions.mobile.android.extensions.net.functions.IsNetworkInfoSupported;

public class NetworkInfoExtensionContext extends FREContext {

	public ConnectivityManager connectivityManager = null;
	
	@Override
	public void dispose() {
		// TODO Auto-generated method stub
		
	}

	@Override
	public Map<String, FREFunction> getFunctions() {
		Map<String, FREFunction> functionMap = new HashMap<String, FREFunction>();
		functionMap.put("initNetworkInfoExtension", new InitNetworkInfoExtension());
		functionMap.put("isNetworkAvailable", new IsNetworkAvailable());
		functionMap.put("isNetworkConnected", new IsNetworkConnected());
		functionMap.put("getCoarseState", new GetCoarseNetworkState());
		functionMap.put("getDetailedState", new GetDetailedNetworkState());
		functionMap.put("getFailReason", new GetNetworkFailReason());
		functionMap.put("isSupported", new IsNetworkInfoSupported());
	    return functionMap;
	}

}
