package com.flashvisions.mobile.android.extensions.net.functions;

import android.net.NetworkInfo;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;
import com.adobe.fre.FREObject;
import com.adobe.fre.FREWrongThreadException;
import com.flashvisions.mobile.android.extensions.net.NetworkInfoExtensionContext;

public class IsNetworkConnected implements FREFunction {

	@Override
	public FREObject call(FREContext context, FREObject[] arg1) {
		
		FREObject result = null;
		
		NetworkInfoExtensionContext extensionContext = (NetworkInfoExtensionContext) context;
		NetworkInfo info = extensionContext.connectivityManager.getActiveNetworkInfo();
		
		try {
			Boolean available = (info.isConnected() && info!=null);
			result = FREObject.newObject(available);
		} catch (FREWrongThreadException e) {
			e.printStackTrace();
		}
		
		return result;
	}

}
